summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author ponce2010-12-30 03:07:35 +0100
committer Robby Workman2010-12-30 03:07:35 +0100
commitb4abf85f95623f04ba8578b6f48f57d0e01ae98f (patch)
treedee41d5c2b68516df994abbd5c5654744bf56c2d
parenta7624157e3adf38bae3a43744dd75dab05d73e8c (diff)
downloadslackbuilds-b4abf85f95623f04ba8578b6f48f57d0e01ae98f.tar.gz
games/bloodfrontier: Added (first-person shooter)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--games/bloodfrontier/README7
-rw-r--r--games/bloodfrontier/bfclient_wrapper7
-rw-r--r--games/bloodfrontier/bfserver_wrapper7
-rw-r--r--games/bloodfrontier/bloodfrontier.SlackBuild81
-rw-r--r--games/bloodfrontier/bloodfrontier.info10
-rw-r--r--games/bloodfrontier/slack-desc19
6 files changed, 131 insertions, 0 deletions
diff --git a/games/bloodfrontier/README b/games/bloodfrontier/README
new file mode 100644
index 0000000000..2398ebeb75
--- /dev/null
+++ b/games/bloodfrontier/README
@@ -0,0 +1,7 @@
+Blood Frontier (single-player and multi-player first-person shooter)
+
+Blood Frontier is a Free and Open Source game using SDL and OpenGL which
+allows it to be ported to many platforms. The game is a single- and multi-
+player first-person shooter, built as a total conversion of Cube Engine 2,
+which lends itself toward a balanced gameplay, completely at the control of
+map makers, while maintaining a general theme of tactics and low gravity.
diff --git a/games/bloodfrontier/bfclient_wrapper b/games/bloodfrontier/bfclient_wrapper
new file mode 100644
index 0000000000..81ae7e3c04
--- /dev/null
+++ b/games/bloodfrontier/bfclient_wrapper
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+BF_OPTIONS=${BF_OPTIONS:-"-r"}
+
+cd @LIBDIR@/bloodfrontier
+exec @LIBDIR@/bloodfrontier/bin/bfclient ${BF_OPTIONS} "$@"
+
diff --git a/games/bloodfrontier/bfserver_wrapper b/games/bloodfrontier/bfserver_wrapper
new file mode 100644
index 0000000000..dfd5412bff
--- /dev/null
+++ b/games/bloodfrontier/bfserver_wrapper
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+BF_OPTIONS=${BF_OPTIONS:-"-sc8"}
+
+cd @LIBDIR@/bloodfrontier
+exec @LIBDIR@/bloodfrontier/bin/bfserver ${BF_OPTIONS} "$@"
+
diff --git a/games/bloodfrontier/bloodfrontier.SlackBuild b/games/bloodfrontier/bloodfrontier.SlackBuild
new file mode 100644
index 0000000000..a82de7bdf2
--- /dev/null
+++ b/games/bloodfrontier/bloodfrontier.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for bloodfrontier
+
+# Generated by Alien's SlackBuild Toolkit: http://slackware.com/~alien/AST
+# Copyright 2009 Eric Hameleers <alien@slackware.com>, Eindhoven, Netherlands
+
+# Written by ponce <matteo.bernardini@gmail.com>
+# Based on http://slackbuilds.org/template.SlackBuild
+
+PRGNAM=bloodfrontier
+VERSION=${VERSION:-0.85}
+SVERSION=${SVERSION:-B2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ SLKLDFLAGS="-L/usr/lib -L/lib"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ SLKLDFLAGS="-L/usr/lib -L/lib"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64 -L/lib64"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$SVERSION-linux.tar.bz2
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make -C src \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ LDFLAGS="$SLKLDFLAGS"
+
+mkdir -p $PKG/usr/bin $PKG/usr/lib${LIBDIRSUFFIX}/bloodfrontier/bin
+cp -a src/bfclient src/bfserver $PKG/usr/lib${LIBDIRSUFFIX}/bloodfrontier/bin
+cp -a data $PKG/usr/lib${LIBDIRSUFFIX}/bloodfrontier/
+sed "s%@LIBDIR@%/usr/lib${LIBDIRSUFFIX}%g" $CWD/bfclient_wrapper > \
+ $PKG/usr/bin/bloodfrontier
+sed "s%@LIBDIR@%/usr/lib${LIBDIRSUFFIX}%g" $CWD/bfserver_wrapper > \
+ $PKG/usr/bin/bloodfrontier-server
+chmod 0755 $PKG/usr/bin/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a license.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/bloodfrontier/bloodfrontier.info b/games/bloodfrontier/bloodfrontier.info
new file mode 100644
index 0000000000..9f9d6e3d7d
--- /dev/null
+++ b/games/bloodfrontier/bloodfrontier.info
@@ -0,0 +1,10 @@
+PRGNAM="bloodfrontier"
+VERSION="0.85"
+HOMEPAGE="http://www.bloodfrontier.com/"
+DOWNLOAD="http://downloads.sourceforge.net/bloodfrontier/bloodfrontier-B2-linux.tar.bz2"
+MD5SUM="814df812d14714687f44085c83d5b91b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="ponce"
+EMAIL="matteo.bernardini@gmail.com"
+APPROVED="rworkman"
diff --git a/games/bloodfrontier/slack-desc b/games/bloodfrontier/slack-desc
new file mode 100644
index 0000000000..b9c2c4e728
--- /dev/null
+++ b/games/bloodfrontier/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bloodfrontier: bloodfrontier (single-player and multi-player first-person shooter)
+bloodfrontier:
+bloodfrontier: Blood Frontier is a Free and Open Source game
+bloodfrontier: using SDL and OpenGL which allows it to be ported to many platforms.
+bloodfrontier: The game is a single-player and multi-player first-person shooter,
+bloodfrontier: built as a total conversion of Cube Engine 2, which lends itself
+bloodfrontier: toward a balanced gameplay, completely at the control of map makers,
+bloodfrontier: while maintaining a general theme of tactics and low gravity.
+bloodfrontier:
+bloodfrontier: Home: http://www.bloodfrontier.com/
+bloodfrontier: